This discussion is archived
1 2 Previous Next 19 Replies Latest reply: Dec 1, 2010 2:07 AM by Sajjad RSS

Unable to upgrade Apex 4.0

Sajjad Newbie
Currently Being Moderated
Hi,

I have installed APEX 3.0 on 11G OS XP. I have tried many times to upgrade Apex 4.0, but can't. I have unzipped the APex 4.0 files to directory d:\downloads\apex4.0\apex_4.0\apex. I run apexins.sql in the following manneras user sysdba,

sql> @d:\downloads\apex4.0\apex_4.0\apex. I run apexins.sql

Every time sqlplus exits after getting 'Enter value for 4'.


sajjad
  • 1. Re: Unable to upgrade Apex 4.0
    oradba101 Newbie
    Currently Being Moderated
    I would first suggest changing to the directory before running apexins.sql in SQLPlus
  • 2. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    thanks for replying

    how and where the directory could bee changed because I don't know this.

    sajjad
  • 3. Re: Unable to upgrade Apex 4.0
    Udo Guru
    Currently Being Moderated
    Hello Sajjad,

    you need to change to d:\downloads\apex4.0\apex_4.0\apex before you start sqlplus. Open a command line interface and type
    D:
    cd \downloads\apex4.0\apex_4.0\apex
    start sqlplus as sys (like you already did) and start the installtion.
    Note that you have to provide additional parameters for apexins.sql .
    See the [url http://download.oracle.com/docs/cd/E17556_01/doc/install.40/e15513/toc.htm]installation guide for details.
    Note that you have to follow the installation steps for the web server (Oracle HTTP Server, Embedded PL/SQL Gateway or APEX Listener) you intend to host your APEX with.

    -Udo
  • 4. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    Thank You Udo for your reply. Sorry, I am late to respnce.

    Sajjad
  • 5. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    hi udo

    I have run apexins.sql after changing the directory. following error has occured and the SQL/PLUS has terminated with the following error.
    unable to open file "core/a lot file names".
    Actualy i follow the error, in apexins there is a @@coreins.sql. but coreins dos'nt open. Then gave full path to coreins like D:\Downloads\Apex4.0\apex_4.0\apex\coreins in apexins and it will open. Now the problem is I have go through coreins and found there are a lot files started with @^prefix.core/file_name and they are not opened.


    Thanks
    Sajjad
  • 6. Re: Unable to upgrade Apex 4.0
    Udo Guru
    Currently Being Moderated
    Hi Sajjad,

    do you have a subdirectory "core" in your base directory "D:\Downloads\Apex4.0\apex_4.0\apex"?
    If not, something went wrong on unpacking your release. If you don't have the original installation package (e.g. apex_4.0.zip) any more, you may download it again.
    Just a side note: A new APEX patch (4.0.2) has been released on last Friday (19.11.10). Perhaps you want to download the current installer anyway and try the installation with that release again. The process would be the same.

    -Udo
  • 7. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    yes there is a sub directory "core" under main directory.

    sajjad
  • 8. Re: Unable to upgrade Apex 4.0
    Udo Guru
    Currently Being Moderated
    That's odd. Usually, that should work, and as you say, it does if you call coreins directly (which I wouldn't do, because you probably miss some necessary parameters that are initialized in the main installer script.
    Did you run just +@apexins+ or did you also provide the additional parameters as documented here:
    http://download.oracle.com/docs/cd/E17556_01/doc/install.40/e15513/otn_install.htm#insertedID0

    like +@apexins tablespace_apex tablespace_files tablespace_temp images+

    where you replace the parameter-names with the corresponding value for your system.
    If your installer asked for "value 4" you probably missed one of the parameters, in that case the value for the images-prefix.

    -Udo
  • 9. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    Hi Udo

    I have downloaded Apex 4.0.2. After unzipping and changing directory, run apexins in sql/plus and receive following error.

    SP2-0310: unable to open file "apexins.sql"

    What's the problem I couldn't understand.

    Sajjad
  • 10. Re: Unable to upgrade Apex 4.0
    jariola Guru
    Currently Being Moderated
    Hi,

    Download install files and place to c:\temp
    Extract zip to c:\temp so you will have folder c:\temp\apex
    Open cmd (dos window)
    change directory to c:\temp\apex
    cd c:\temp\apex
    start SQLPlus in cmd
    sqlplus /nolog
    CONNECT SYS as SYSDBA
    Then give SYS user password
    Upgrade Apex
    @apexins SYSAUX SYSAUX TEMP /i/
    Go get coffee or tea.
    Reconnect to SQLPlus as mentioned above
    Update images
    @apxldimg.sql c:\temp
    Set INTERNAL workspace ADMIN user password
    @apxchpwd
    Regards,
    Jari
  • 11. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    hi Udo & Jari


    Thank you for your help. I have successfully upgraded to apex 4.0.2. After upgradation i can't connect as user admin. In my browser admin login page appears but it can't login.

    sajjad
  • 12. Re: Unable to upgrade Apex 4.0
    jariola Guru
    Currently Being Moderated
    Hi,

    Did you set/reset ADMIN password ?


    Regards,
    Jari
  • 13. Re: Unable to upgrade Apex 4.0
    Sajjad Newbie
    Currently Being Moderated
    I have ran apxchpwd and password for admin.

    sajjad
  • 14. Re: Unable to upgrade Apex 4.0
    jariola Guru
    Currently Being Moderated
    Hi,

    What is URL where you try login ?
    When you try login, do you get any messages ?

    Regards,
    Jari
1 2 Previous Next

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points